Bug 923959 - Review Request: JOrtho - A spell checker for Java
Summary: Review Request: JOrtho - A spell checker for Java
Keywords:
Status: CLOSED DUPLICATE of bug 1092096
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-20 19:27 UTC by hannes
Modified: 2014-06-02 10:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-28 18:08:38 UTC


Attachments (Terms of Use)

Description hannes 2013-03-20 19:27:11 UTC
Spec URL: http://hannes.fedorapeople.org/JOrtho.spec
SRPM URL: http://hannes.fedorapeople.org/JOrtho-0.5-1.fc18.src.rpm
Description: 
JOrtho is a spell checker for Java. The library works with any
JTextComponent from the Swing framework and checks as you type.
The dictionary is based on the free Wiktionary.org, and is 
applicable for multiple languages. You can select the 
spell checking language via a context menu. The features 
of JOrtho are the highlighting of potentially wrongly spelled words, 
a context menu with suggestions for correct forms of the word
and a context menu with option to change the checking language. 
At the moment there are eight languages for spell checking available: 
English, German, French, Spanish, Italian, Russian, Polish, and Arabic.

Fedora Account System Username: hannes

Comment 1 hannes 2013-03-25 19:30:26 UTC
New upstream release:

Spec URL: http://hannes.fedorapeople.org/JOrtho.spec
SRPM URL: http://hannes.fedorapeople.org/JOrtho-1.0-1.fc18.src.rpm

I am thinking about including more upstream dictionaries, but I am not sure how many and I will always exclude someone, or?

Comment 2 hannes 2013-03-26 12:50:08 UTC
TODO:
Update the license to reflect the license of the dictionary.

Comment 3 gil cattaneo 2013-08-24 19:00:30 UTC
hi
please remove
Group:  ... all, no more required
BuildRequires:	ant-nodeps ...no more available
BuildRequires:	ant-trax ...no more available
from javadoc package 
Requires:	%{name} = %{version}-%{release}
Requires:	jpackage-utils ...no more required

%defattr(-,root,root,-) ...no more required

install license.txt and manual.html using %doc macro
and remove from %{_javadocdir}/%{name}

use %setup -q -c -n %{name}
regards

Comment 4 hannes 2014-04-28 18:08:38 UTC

*** This bug has been marked as a duplicate of bug 1092096 ***

Comment 5 Christian von Behren 2014-06-02 10:16:58 UTC
I hope someone will track this down for me...

The updated package version is missing some dictionaries!

/usr/share/java/jortho.jar references SIX languages in dictionaries.cnf:
------------
extension=.ortho
languages=de,en,it,fr,es,ru
------------

The dictionaries shipped with this package is just ONE: "dictionary_en.ortho"!

When I open Freemind I get an error:
------------
java.io.FileNotFoundException: JAR entry dictionary_de.ortho not found in /usr/share/java/jortho.jar
------------

Any ideas how to fix that?


Note You need to log in before you can comment on or make changes to this bug.